Subject: bug#57293: 29.0.50; query-replace with Wdired skips symlink target

From: Stefan Kangas <[email-masked]>
Date: Sat, 20 Aug 2022 18:07:17 -0700

Michael Heerdegen <[email-masked]> writes:

> Mike Kupfer <[email-masked]> writes:
>
>> I expect query-replace to ask me about both the file foo and the symlink
>> target foo.  That's what Emacs 28.1 does, and it's quite handy.
>> Instead, query-replace asks me only about the file foo, ignoring the
>> symlink target.
>
> Thanks for the report, Mike.  See the new option
> `wdired-search-replace-filenames' to turn off the new behavior.
>
> Maybe turning this new behavior on by default was too much (Juri)?

Shouldn't we get the Emacs 28 behavior whether or not that option is
enabled though?  IOW, isn't this just a bug?